OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.NameGenDelete

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDNameGenDelete :: MonadIO m => m Bool
- gl_AMD_name_gen_delete :: Bool
- gl_DATA_BUFFER_AMD :: GLenum
- gl_PERFORMANCE_MONITOR_AMD :: GLenum
- gl_QUERY_OBJECT_AMD :: GLenum
- gl_SAMPLER_OBJECT_AMD :: GLenum
- gl_VERTEX_ARRAY_OBJECT_AMD :: GLenum
- glDeleteNamesAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glGenNamesAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLuint -> m ()
- glIsNameAMD :: MonadIO m => GLenum -> GLuint -> m GLboolean

# Extension Support

glGetAMDNameGenDelete :: MonadIO m => m Bool

Is the AMD_name_gen_delete extension supported?

gl_AMD_name_gen_delete :: Bool

Is the AMD_name_gen_delete extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDNameGenDelete` in those cases instead.

# Enums

gl_DATA_BUFFER_AMD :: GLenum

gl_PERFORMANCE_MONITOR_AMD :: GLenum

gl_QUERY_OBJECT_AMD :: GLenum

gl_SAMPLER_OBJECT_AMD :: GLenum

gl_VERTEX_ARRAY_OBJECT_AMD :: GLenum

# Functions

glDeleteNamesAMD

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `num`.
-> Ptr GLuint | `names` pointing to `num` elements of type `GLuint`.
-> m () |

glGenNamesAMD

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `num`.
-> Ptr GLuint | `names` pointing to `num` elements of type `GLuint`.
-> m () |

glIsNameAMD

Arguments

:: MonadIO m |
=> GLenum | `identifier`.
-> GLuint | `name`.
-> m GLboolean | of type Boolean.